## LassoSamlp2StatusResponse

LassoSamlp2StatusResponse — <samlp2:StatusResponse>

## Functions

LassoNode * | lasso_samlp2_status_response_new ()

## Types and Values

struct | LassoSamlp2StatusResponse

## Description

Figure 90. Schema fragment for samlp2:StatusResponse

    <complexType name="StatusResponseType">
      <sequence>
        <element ref="saml:Issuer" minOccurs="0"/>
        <element ref="ds:Signature" minOccurs="0"/>
        <element ref="samlp:Extensions" minOccurs="0"/>
        <element ref="samlp:Status"/>
      </sequence>
      <attribute name="ID" type="ID" use="required"/>
      <attribute name="InResponseTo" type="NCName" use="optional"/>
      <attribute name="Version" type="string" use="required"/>
      <attribute name="IssueInstant" type="dateTime" use="required"/>
      <attribute name="Destination" type="anyURI" use="optional"/>
      <attribute name="Consent" type="anyURI" use="optional"/>
    </complexType>

## Functions

### lasso_samlp2_status_response_new ()

    LassoNode *
    lasso_samlp2_status_response_new (void);

Creates a new LassoSamlp2StatusResponse object.

#### Returns

a newly created LassoSamlp2StatusResponse object

## Types and Values

### struct LassoSamlp2StatusResponse

    struct LassoSamlp2StatusResponse {
    	LassoNode parent;

    	/* elements */
    	LassoSaml2NameID *Issuer;
    	LassoSamlp2Extensions *Extensions;
    	LassoSamlp2Status *Status;
    	/* attributes */
    	char *ID;
    	char *InResponseTo;
    	char *Version;
    	char *IssueInstant;
    	char *Destination;
    	char *Consent;
    };